// Eksemplet krver muligvis JDK1.5 (Java 2 Standard Edition 5.0).
// Bruger du JDK1.4 eller tidligere s se http://javabog.dk/OOP2/kode

import java.util.*;

public class Raflebaeger
{
	/** listen af terninger, der er i raflebgeret */
	public ArrayList<Terning> terninger;

	public Raflebaeger(int antalTerninger)
	{
		terninger = new ArrayList<Terning>();
		for (int i=0; i<antalTerninger; i++)
		{
			Terning t;
			t = new Terning();
			tilfj(t);
		}
	}

	/** lgger en terning i bgeret */
	public void tilfj(Terning t)
	{
		terninger.add(t);
	}

	/** ryster bgeret, s alle terningerne bliver 'kastet' og fr en ny vrdi */
	public void ryst()
	{
		for (Terning t : terninger) 
		{
			t.kast();
		}
	}

	/** finder summen af alle terningernes vrdier */
	public int sum()
	{
		int resultat=0;
		for (Terning t : terninger) 
		{
			resultat = resultat + t.vrdi;
		}
		return resultat;
	}

	/** finder antallet af terninger, der viser en bestemt vrdi */
	public int antalDerViser(int vrdi)
	{
		int resultat;
		resultat = 0;
		for (Terning t : terninger) 
		{
			if (t.vrdi==vrdi) 
			{
				resultat = resultat + 1;
			}
		}
		return resultat;
	}

	/** beskriver bgerets indhold som en streng */
	public String toString()
	{// (listens toString() kalder toString() p hver terning)
		return terninger.toString();
	}
}